<IfModule mod_ssl.c>
<VirtualHost *:443>
        ServerAdmin openmodelica@ida.liu.se
        ServerName encryption.openmodelica.org

        DocumentRoot /var/www/encryption.openmodelica.org/
        <Directory />
                Options FollowSymLinks
                AllowOverride None
        </Directory>
        <Directory /var/www/>
                Options Indexes FollowSymLinks MultiViews
                AllowOverride All
                Order allow,deny
                allow from all
        </Directory>

        # don't lose time with IP address lookups
        HostnameLookups Off
        # needed for named virtual hosts
        UseCanonicalName Off

        ProxyPreserveHost On
        RequestHeader set X-Forwarded-Proto "https"
        RequestHeader set X-Forwarded-Port "443"
        ProxyPass / http://localhost:8080/
        ProxyPassReverse / http://localhost:8080/

        ProxyRequests Off


Include /etc/letsencrypt/options-ssl-apache.conf
SSLCertificateFile /etc/letsencrypt/live/openmodelica.org/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/openmodelica.org/privkey.pem
</VirtualHost>
</IfModule>
